import { create } from 'zustand'

type TypeError = {
    error: number,
    incrementError: () => void,
    resetError: () => void
}

const useErrorStore = create<TypeError>((set, get) => ({
    error: 0,
    incrementError: () => {
        set({ error: get().error + 1 })
    },
    resetError: () => {
        set({ error: 0})
    }
}))

export default useErrorStore